OCC Main Page | DataExchange | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# DataExchange
TKSTEPAttr
StepDimTol

# StepDimTol_GeometricToleranceRelationship Class Reference

Representation of STEP entity GeometricToleranceRelationship
.

`#include <StepDimTol_GeometricToleranceRelationship.hxx>`

## Public Member Functions
Standard_EXPORT | StepDimTol_GeometricToleranceRelationship ()
| Empty constructor .
Standard_EXPORT void | Init (const Handle(TCollection_HAsciiString)&aName, const Handle(TCollection_HAsciiString)&aDescription, const Handle(StepDimTol_GeometricTolerance)&aRelatingGeometricTolerance, const Handle(StepDimTol_GeometricTolerance)&aRelatedGeometricTolerance)
| Initialize all fields (own and inherited) .
Standard_EXPORT Handle_TCollection_HAsciiString | Name () const
| Returns field Name .
Standard_EXPORT void | SetName (const Handle(TCollection_HAsciiString)&Name)
| Set field Name .
Standard_EXPORT Handle_TCollection_HAsciiString | Description () const
| Returns field Description .
Standard_EXPORT void | SetDescription (const Handle(TCollection_HAsciiString)&Description)
| Set field Description .
Standard_EXPORT Handle_StepDimTol_GeometricTolerance | RelatingGeometricTolerance () const
| Returns field RelatingGeometricTolerance .
Standard_EXPORT void | SetRelatingGeometricTolerance (const Handle(StepDimTol_GeometricTolerance)&RelatingGeometricTolerance)
| Set field RelatingGeometricTolerance .
Standard_EXPORT Handle_StepDimTol_GeometricTolerance | RelatedGeometricTolerance () const
| Returns field RelatedGeometricTolerance .
Standard_EXPORT void | SetRelatedGeometricTolerance (const Handle(StepDimTol_GeometricTolerance)&RelatedGeometricTolerance)
| Set field RelatedGeometricTolerance .
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const
## Private Attributes
Handle_TCollection_HAsciiString | theName
Handle_TCollection_HAsciiString | theDescription
Handle_StepDimTol_GeometricTolerance | theRelatingGeometricTolerance
Handle_StepDimTol_GeometricTolerance | theRelatedGeometricTolerance

## Constructor & Destructor Documentation

Standard_EXPORT StepDimTol_GeometricToleranceRelationship::StepDimTol_GeometricToleranceRelationship | ( |  | ) |

## Member Function Documentation

Standard_EXPORT Handle_TCollection_HAsciiString StepDimTol_GeometricToleranceRelationship::Description | ( |  | ) | const

Standard_EXPORT const StepDimTol_GeometricToleranceRelationship::Handle | ( | Standard_Type |  | ) | const

Standard_EXPORT void StepDimTol_GeometricToleranceRelationship::Init | ( | const Handle(TCollection_HAsciiString)& | aName,
|  | const Handle(TCollection_HAsciiString)& | aDescription,
|  | const Handle(StepDimTol_GeometricTolerance)& | aRelatingGeometricTolerance,
|  | const Handle(StepDimTol_GeometricTolerance)& | aRelatedGeometricTolerance
| ) |

Standard_EXPORT Handle_TCollection_HAsciiString StepDimTol_GeometricToleranceRelationship::Name | ( |  | ) | const

Standard_EXPORT Handle_StepDimTol_GeometricTolerance StepDimTol_GeometricToleranceRelationship::RelatedGeometricTolerance | ( |  | ) | const

Standard_EXPORT Handle_StepDimTol_GeometricTolerance StepDimTol_GeometricToleranceRelationship::RelatingGeometricTolerance | ( |  | ) | const

Standard_EXPORT void StepDimTol_GeometricToleranceRelationship::SetDescription | ( | const Handle(TCollection_HAsciiString)& | Description | ) |

Standard_EXPORT void StepDimTol_GeometricToleranceRelationship::SetName | ( | const Handle(TCollection_HAsciiString)& | Name | ) |

Standard_EXPORT void StepDimTol_GeometricToleranceRelationship::SetRelatedGeometricTolerance | ( | const Handle(StepDimTol_GeometricTolerance)& | RelatedGeometricTolerance | ) |

Standard_EXPORT void StepDimTol_GeometricToleranceRelationship::SetRelatingGeometricTolerance | ( | const Handle(StepDimTol_GeometricTolerance)& | RelatingGeometricTolerance | ) |

## Field Documentation

Handle_TCollection_HAsciiString StepDimTol_GeometricToleranceRelationship::theDescription`[private]`

Handle_TCollection_HAsciiString StepDimTol_GeometricToleranceRelationship::theName`[private]`

Handle_StepDimTol_GeometricTolerance StepDimTol_GeometricToleranceRelationship::theRelatedGeometricTolerance`[private]`

Handle_StepDimTol_GeometricTolerance StepDimTol_GeometricToleranceRelationship::theRelatingGeometricTolerance`[private]`

The documentation for this class was generated from the following file:

- StepDimTol_GeometricToleranceRelationship.hxx